%define 	module	seqdiag
Summary:	seqkdiag generate sequence-diagram image file from spec-text file
Name:		python-%{module}
Version:	0.7.2
Release:	3
License:	Apache v2.0
Group:		Development/Languages
URL:		http://blockdiag.com/en/seqdiag/index.html
Source0:	http://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
# Source0-md5:	428341e76c3434ba3a87a063ca5fb721
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	sed >= 4.0
Requires:	python-blockdiag >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
seqdiag generates sequence-diagram image file from spec-text files.

Features:
- Generate sequence-diagram from dot like text (basic feature).
- Multilingualization for node-label (utf-8 only).

%prep
%setup -q -n %{module}-%{version}
%{__sed} -i -e 's/^from ez_setup/#from ez_setup/' setup.py
%{__sed} -i -e 's/^use_setuptools()/#use_setuptools()/' setup.py

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
%py_install \
	--root $RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/tests
%{__rm} $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}_sphinxhelper.py[co]

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{module}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/seqdiag
%{_mandir}/man1/*.1*
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%dir %{py_sitescriptdir}/%{module}/utils
%{py_sitescriptdir}/%{module}/utils/*.py[co]
%dir %{py_sitescriptdir}/%{module}/utils/rst
%{py_sitescriptdir}/%{module}/utils/rst/*.py[co]
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/%{module}-%{version}-*.egg-info
%endif
%changelog
* Tue Mar 02 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-seqdiag.git;a=log;h=master

* Tue Mar 02 2021 Jan Rękorajski <baggins@pld-linux.org> c01ed23
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 6318d40
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4f7b061
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 264cc6d
- automatic change: use py_build/py_install macros

* Sat Jan 07 2012 zbyniu <zbyniu@pld-linux.org> 7073656
- up to 0.7.2

* Fri Dec 02 2011 zbyniu <zbyniu@pld-linux.org> a650afd
- up to 0.7.1

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> c9b60e9
- no default attr for man

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> 96363db
- do not enforce gzip compressed man, cosmetics

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> 1f12f7c
- removed not needed file,
- added manual file.

* Tue Oct 18 2011 Elan Ruusamäe <glen@pld-linux.org> 9b851e8
- py_postclean, remove tests, python-funcparserlib BR not needed, some unpackaged files todo

* Tue Oct 18 2011 cieciwa <cieciwa@pld-linux.org> 9e22081
- release 0.2,
- updated Requires.

* Mon Oct 17 2011 Elan Ruusamäe <glen@pld-linux.org> 78acc7b
- adapter, pldize

* Mon Oct 17 2011 cieciwa <cieciwa@pld-linux.org> abc96c0
- clean spec.

* Mon Oct 17 2011 cieciwa <cieciwa@pld-linux.org> 1bead7d
- changed source location,
- updated MD5 sum,
- changed build directory.

* Mon Oct 17 2011 cieciwa <cieciwa@pld-linux.org> e184584
- version 0.4.2 (tip),
- release 0.1.

